Page MenuHomePhabricator

Newcomer tasks: graph icon is off the card in Arabic
Closed, ResolvedPublic

Description

In the screenshot below, you can see that the graph icon for the pageviews information is off the bottom of the card in Arabic Wikipedia. This is not the case for Czech, Vietnamese, or Korean Wikipedias.

Event Timeline

Restricted Application added subscribers: alanajjar, revi. · View Herald TranscriptDec 11 2019, 12:56 AM

@kostajh -- please feel free to close this if it is going to be fixed in one of the patches that is currently riding the train.

FYI: Got this incomplete text (pageviews) with suggested edit for article with a big number of views (on Firefox). So I adopted a shorter message in MediaWiki:Growthexperiments-homepage-suggestededits-pageviews/ar so the text will fit the size of the box when the new translation will be deployed.

@Dyolf77_WMF In arwiki betalabs the issue seems to be fixed due to the patch(es) in T238322. I also checked for displaying big numbers. Unless you see that more work should be done here, I'm moving the task to QA review column to check after wmf.11 deployment.

Thanks, that's fine. I want to arwiki betalabs and it's fixed. With big numbers there's no more issues. However in one suggested article, all the line has disappeared

Etonkovidova added a comment.EditedDec 19 2019, 7:13 PM

Thanks, that's fine. I want to arwiki betalabs and it's fixed. With big numbers there's no more issues. However in one suggested article, all the line has disappeared

The issue with pageview placement is still present in arwiki wmf.11 and every card displays the pageview info pushed toward the bottom of the card:

arwiki betalabs is still not displaying the above issue. @Catrope - not all UI fixes (maybe from T238322) have made to production? It doesn't look to me that some additional dev work should be done since betalabs looks fine:

@Dyolf77_WMF - regarding the issue of pageview info not being displayed - it could be the case of not getting pageviews info in time. I tested for it in betalabs and in production and so far I did not see such cases, but we should monitor it closely.

The difference is because Arabic Wikipedia's MediaWiki:Common.css has a rule .mw-body-content { font-size: .95em }, which makes all text ~1.12x the size it would normally be. We use ems (which are relative to the font size) for sizing the text, but px (which are absolute) for sizing the box, so the text grows while the box doesn't. If we would use ems for the box's height, the box would also grow 1.12x and everything would fit again.

Change 559586 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/GrowthExperiments@master] SuggestedEdits: Set card height in em, not px

https://gerrit.wikimedia.org/r/559586

Tgr added a comment.Dec 19 2019, 10:55 PM

Neat, that also improves the experience of visually impaired users since the footer now remains readable with accessibility tools that increase the font size (other parts of the suggested edits module do not fare so well).

Change 559586 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] SuggestedEdits: Set card height in em, not px

https://gerrit.wikimedia.org/r/559586

Hi, the difficulty box is missing in ar wiki (checked with Safari and FF)

Back to the normal layout.

Etonkovidova closed this task as Resolved.Jan 9 2020, 9:36 PM
Etonkovidova claimed this task.

Checked in wmf.14 - looks fine.

Urbanecm edited subscribers, added: Urbanecm_WMF; removed: Urbanecm.Aug 26 2020, 1:51 PM